JotForm's WordPress plugins are outdated

  • Profile Image
    FCPH280
    Asked on February 14, 2018 at 03:39 PM

    Greetings,

    I'm working on a client's website and they use JotForms. I'd like to use one of your plugins to simply embed their existing form to a new website page, but both the Embed Form and JotForm oEmbed plugins have not been updated in over a year and haven't been tested with the latest 3 releases of WordPress. Can you confirm if you're going to update your plugins?

    Thank you for your assistance.

  • Profile Image
    Jim_R
    Answered on February 14, 2018 at 04:57 PM

    I'll let our developers know and keep you posted on this thread once we have some news. Thanks for the heads up.

    For the time being, you can embed a form on your WP powered website using the steps outlined on the guide I'm linking below.

    Complete guide: Adding-Forms-to-Wordpress-org-Version 

    If that won't work or if it causes any script conflicts with your website, kindly proceed with the steps listed on the guide below instead.

    Related guide: A-guide-to-forms-for-WordPress-users 

    And if all else fails, using the iFrame Embed codes usually fixes any conflicts with embedded forms.

    Related guide: Getting-the-form-iFrame-code